"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useLocaleString = void 0;
const react_1 = require("react");
const useLocale_1 = require("./useLocale");
const useStringStorage_1 = require("./useStringStorage");
function useLocaleString(path, settings = {}) {
    const locale = (0, useLocale_1.useLocale)();
    const storage = (0, useStringStorage_1.useStringStorage)();
    return (0, react_1.useMemo)(() => {
        return storage.get(path, Object.assign({ locale }, settings));
    }, [path, settings, storage, locale]);
}
exports.useLocaleString = useLocaleString;
