import { Action as ReduxAction, StoreState, ReducerState } from '@creatorum/react-duck/dist/core/reduxStack';
import { SimpleDuck } from '@creatorum/react-duck/dist/core/duckStack';
import { Locale } from "./Locale";
/** Duck namespace */
export declare const NAMESPACE = "locale";
/**
 * State
 */
export interface State extends ReducerState {
    current: Locale | null;
    prev: Locale | null;
}
/**
 * Action types
 */
export declare enum ActionType {
    Change = "locale/change"
}
/**
 * Actions
 */
interface ChangeAction extends ReduxAction {
    type: ActionType.Change;
    next: Locale | null;
}
export declare type Action = ChangeAction;
/**
 * Action creators
 */
export declare function change(next: Locale | null): ChangeAction;
/**
 * Selectors
 */
export declare const selectAll: (s: StoreState) => State;
export declare const selectCurrent: (s: StoreState) => string | null;
export declare const selectPrev: (s: StoreState) => string | null;
/**
 * Object to connect
 */
declare const connectable: SimpleDuck;
export default connectable;
