"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.selectPrev = exports.selectCurrent = exports.selectAll = exports.change = exports.ActionType = exports.NAMESPACE = void 0;
/**
 * @module @libs/ML/lib/locale.duck
 * @description The locale.duck.
 */
const immer_1 = require("immer");
/** Duck namespace */
exports.NAMESPACE = 'locale';
const initialState = {
    current: null,
    prev: null,
};
/**
 * Action types
 */
var ActionType;
(function (ActionType) {
    ActionType["Change"] = "locale/change";
})(ActionType = exports.ActionType || (exports.ActionType = {}));
/**
 * Reducer
 */
function reducer(s = initialState, a) {
    switch (a.type) {
        case ActionType.Change:
            return s.current !== a.next ? (0, immer_1.produce)(s, nextState => {
                nextState.prev = nextState.current;
                nextState.current = a.next;
            }) : s;
        default:
            return s;
    }
}
/**
 * Action creators
 */
function change(next) {
    return {
        type: ActionType.Change,
        next,
    };
}
exports.change = change;
/**
 * Selectors
 */
const selectAll = (s) => s[exports.NAMESPACE];
exports.selectAll = selectAll;
const selectCurrent = (s) => (0, exports.selectAll)(s).current;
exports.selectCurrent = selectCurrent;
const selectPrev = (s) => (0, exports.selectAll)(s).prev;
exports.selectPrev = selectPrev;
/**
 * Object to connect
 */
const connectable = {
    namespace: exports.NAMESPACE,
    reducer,
    sagas: [],
};
exports.default = connectable;
