export interface IStringStorageLoadableItems {
    [path: string]: IStringStorageLoadableItems | string;
}
export interface IStringStorageOptions {
    transformItem?(p: string, value: string, settings: {
        [p: string]: any;
    }): string;
}
export interface IStringStorage {
    options: IStringStorageOptions;
    items: {
        [path: string]: string;
    };
    addItems(items: IStringStorageLoadableItems): void;
    get(path: string): string;
}
export declare class StringStorage implements IStringStorage {
    options: IStringStorageOptions;
    items: {
        [path: string]: string;
    };
    constructor(options?: IStringStorageOptions);
    addItems(items: IStringStorageLoadableItems): void;
    get(path: string, settings?: {
        [p: string]: any;
    }): string;
}
