"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.flattenObj = void 0;
/**
 * Collapse multi-level object to flat object with keys by paths
 * @param obj
 * @param res
 * @param parent
 */
function flattenObj(obj, res = {}, parent) {
    for (let key in obj) {
        let propName = parent ? parent + '.' + key : key;
        if (typeof obj[key] == 'object') {
            flattenObj(obj[key], res, propName);
        }
        else {
            res[propName] = obj[key];
        }
    }
    return res;
}
exports.flattenObj = flattenObj;
