"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getItemByPath = void 0;
/**
 * Gets value of object by deep path
 * @param path - like "test.foo.bar"
 * @param src - like {test: {foo: {bar: 'bar text'}}}
 */
function getItemByPath(path, src) {
    let found = true;
    let value = src;
    const pieces = path.split('.');
    if (!path.length)
        return null;
    for (let i = 0; i < pieces.length; i++) {
        if (value[pieces[i]] !== undefined) {
            value = value[pieces[i]];
        }
        else {
            found = false;
            break;
        }
    }
    return found ? value : null;
}
exports.getItemByPath = getItemByPath;
