interface PathMappableObject {
    [p: string]: PathMappableObject | string;
}
/**
 * Replace values on paths in multilevel dictionary.
 * Usage: path autocomplete for StringSource
 * @param o
 * @param startPath
 */
export declare function makeObjectPropsPathMap<T extends PathMappableObject = PathMappableObject>(o: T, startPath?: string): T;
/**
 * Collapse multi-level object to flat object with keys by paths
 * @param o
 */
export declare function makeFlatPathToValueMap(o: PathMappableObject): {
    [path: string]: string;
};
export {};
