"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.makeFlatPathToValueMap = exports.makeObjectPropsPathMap = void 0;
const flattenObject_1 = require("./flattenObject");
/**
 * Replace values on paths in multilevel dictionary.
 * Usage: path autocomplete for StringSource
 * @param o
 * @param startPath
 */
function makeObjectPropsPathMap(o, startPath) {
    let out = {};
    Object.keys(o).forEach(k => {
        let p = startPath ? `${startPath}.${k}` : k;
        if (typeof o[k] !== "string") {
            out[k] = makeObjectPropsPathMap(o[k], p);
        }
        else {
            out[k] = p;
        }
    });
    return out;
}
exports.makeObjectPropsPathMap = makeObjectPropsPathMap;
/**
 * Collapse multi-level object to flat object with keys by paths
 * @param o
 */
function makeFlatPathToValueMap(o) {
    return (0, flattenObject_1.flattenObj)(o);
}
exports.makeFlatPathToValueMap = makeFlatPathToValueMap;
